%global go_import_path  github.com/boltdb/bolt
%global rev             b8dbe1101d74c30e817227a99716591e3e6e6bc4
%global shortrev        %(r=%{rev}; echo ${r:0:12})

Name:           golang-github-boltdb-bolt
Version:        1
Release:        1.0.git%{shortrev}%{?dist}
Summary:        BoltDB Go Libraries
License:        BSD
URL:            http://%{go_import_path}
Source0:        https://github.com/boltdb/bolt/archive/%{rev}/bolt-%{rev}.tar.gz
%if 0%{?fedora} >= 19
BuildArch:      noarch
%else
ExclusiveArch:  %{go_arches}
%endif
BuildRequires:  golang

%description
%{summary}


%package devel
Requires:       golang
Summary:        BoltDB Go Libraries
Provides:       golang(%{go_import_path}) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for building other packages
which use BoltDB


%prep

%setup -n bolt-%{rev}

%build

%install
install -d %{buildroot}/%{gopath}/src/%{go_import_path}
cp -pav *.go %{buildroot}%{gopath}/src/%{go_import_path}

%check
GOPATH=%{gopath}:%{buildroot}/%{gopath} go test %{go_import_path}

%files devel
%doc LICENSE README.md
%dir %{gopath}/src/github.com/boltdb
%dir %{gopath}/src/%{go_import_path}
%{gopath}/src/%{go_import_path}/*.go

